For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Book a demoLog in
DocumentationAPI ReferenceModel VersioningChangelog
DocumentationAPI ReferenceModel VersioningChangelog
    • Authentication
    • API Versioning
    • Deployments
    • Error Handling
  • Endpoints
      • POSTCreate Webhook Endpoint
      • GETList Webhook Endpoints
      • GETGet Webhook Endpoint
      • POSTUpdate Webhook Endpoint
      • DELDelete Webhook Endpoint
      • POSTCreate Webhook Subscription
      • GETList Webhook Subscriptions
      • GETGet Webhook Subscription
      • POSTUpdate Webhook Subscription
      • DELDelete Webhook Subscription
  • Webhook Events
LogoLogo
Book a demoLog in
EndpointsWebhooks

Delete Webhook Endpoint

DELETE
/webhook_endpoints/:id
DELETE
/webhook_endpoints/:id
1from extend_ai import Extend
2
3client = Extend(
4 token="YOUR_TOKEN_HERE",
5 extend_api_version="2026-02-09",
6)
7
8client.webhook_endpoints.delete(
9 id="webhook_endpoint_id_here",
10)
1{
2 "id": "wh_Xj8mK2pL9nR4vT7qY5wZ"
3}
Delete a webhook endpoint and all of its subscriptions. This operation is permanent and cannot be undone.
Was this page helpful?
Previous

Create Webhook Subscription

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired

The ID of the webhook endpoint to delete.

Example: "wh_Xj8mK2pL9nR4vT7qY5wZ"

Headers

x-extend-api-version"2026-02-09"OptionalDefaults to 2026-02-09

API version to use for the request. If you’re using an SDK, you can ignore this parameter. If you are not using an SDK and do not specify a version, you will either receive a 400 Bad Request or be set to a previous legacy version. See API Versioning for more details.

x-extend-workspace-idstringOptional
The workspace ID to target. **Required** when using an organization-scoped API key; optional for workspace-scoped keys (the key is already tied to a workspace). See [Authentication](https://docs.extend.ai/2026-02-09/api-reference/authentication) for details on API key scopes.

Response

Successfully deleted webhook endpoint
idstring
The ID of the deleted webhook endpoint.

Errors

400
Bad Request Error
401
Unauthorized Error
402
Payment Required Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error

The workspace ID to target. Required when using an organization-scoped API key; optional for workspace-scoped keys (the key is already tied to a workspace). See Authentication for details on API key scopes.